package ru.soune.nocopy.exception;

public class DuplicateImageException extends RuntimeException {
    private final String duplicateFileId;
    private final Long userId;

    public DuplicateImageException(String message, String duplicateFileId, Long userId) {
        super(message);
        this.duplicateFileId = duplicateFileId;
        this.userId = userId;
    }

    public String duplicateFileId() {
        return duplicateFileId;
    }

    public Long userId() {
        return userId;
    }
}
